com.io7m.jstructural.core

## Class SPart

- java.lang.Object
- - com.io7m.jstructural.core.SPart

-     public final class SPart
      extends Object

  A document part.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `com.io7m.jfunctional.OptionType<SPartContents>` | `getContents()`
    `com.io7m.jfunctional.OptionType<SID>` | `getID()`
    `SNonEmptyList<SSection>` | `getSections()`
    `SPartTitle` | `getTitle()`
    `com.io7m.jfunctional.OptionType<String>` | `getType()`
    `int` | `hashCode()`
    `static SPart` | `part(SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given title and content.
    `static SPart` | `partID(SID id, SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given id, title, and content.
    `static SPart` | `partTyped(String type, SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given type, title, and content.
    `static SPart` | `partTypedID(String type, SID id, SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given type, id, title, and content.
    `static SPart` | `partWithContents(SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given title, content, and with a table of contents.
    `static SPart` | `partWithContentsID(SID id, SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given id, title, content, and with a table of contents.
    `static SPart` | `partWithContentsTyped(String type, SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given type, title, content, and with a table of contents.
    `static SPart` | `partWithContentsTypedID(String type, SID id, SPartTitle in_title, SNonEmptyList<SSection> in_sections)` Create a part with the given type, id, title, content, and with a table of contents.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### part

          public static SPart part(SPartTitle in_title,
                   SNonEmptyList<SSection> in_sections)

      Create a part with the given title and content.
      Parameters:
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### partID

          public static SPart partID(SID id,
                     SPartTitle in_title,
                     SNonEmptyList<SSection> in_sections)

      Create a part with the given id, title, and content.
      Parameters:
        `id` - The ID
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### partTyped

          public static SPart partTyped(String type,
                        SPartTitle in_title,
                        SNonEmptyList<SSection> in_sections)

      Create a part with the given type, title, and content.
      Parameters:
        `type` - The type
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### partTypedID

          public static SPart partTypedID(String type,
                          SID id,
                          SPartTitle in_title,
                          SNonEmptyList<SSection> in_sections)

      Create a part with the given type, id, title, and content.
      Parameters:
        `type` - The type
        `id` - The ID
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### partWithContents

          public static SPart partWithContents(SPartTitle in_title,
                               SNonEmptyList<SSection> in_sections)

      Create a part with the given title, content, and with a table of contents.
      Parameters:
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### partWithContentsID

          public static SPart partWithContentsID(SID id,
                                 SPartTitle in_title,
                                 SNonEmptyList<SSection> in_sections)

      Create a part with the given id, title, content, and with a table of contents.
      Parameters:
        `id` - The ID
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### partWithContentsTyped

          public static SPart partWithContentsTyped(String type,
                                    SPartTitle in_title,
                                    SNonEmptyList<SSection> in_sections)

      Create a part with the given type, title, content, and with a table of contents.
      Parameters:
        `type` - The type
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### partWithContentsTypedID

          public static SPart partWithContentsTypedID(String type,
                                      SID id,
                                      SPartTitle in_title,
                                      SNonEmptyList<SSection> in_sections)

      Create a part with the given type, id, title, content, and with a table of contents.
      Parameters:
        `type` - The type
        `id` - The ID
        `in_title` - The title
        `in_sections` - The content
      Returns:
        A new part

    - #### equals

          public boolean equals(@Nullable
                       Object obj)

      Overrides:
        `equals` in class `Object`

    - #### getContents

          public com.io7m.jfunctional.OptionType<SPartContents> getContents()

      Returns:
        The part's table of contents

    - #### getID

          public com.io7m.jfunctional.OptionType<SID> getID()

      Returns:
        The part ID

    - #### getSections

          public SNonEmptyList<SSection> getSections()

      Returns:
        The part sections

    - #### getTitle

          public SPartTitle getTitle()

      Returns:
        The part's title

    - #### getType

          public com.io7m.jfunctional.OptionType<String> getType()

      Returns:
        The part's type attribute

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2014 <code@io7m.com> http://io7m.com